//
//  FontAwesomeBrand.m
//  Project
//
//  Created by Vae on 2018/8/6.
//

#import "FAKFontAwesomeBrands.h"

@implementation FAKFontAwesomeBrands

+ (UIFont *)iconFontWithSize:(CGFloat)size {
    static dispatch_once_t onceToken;
    dispatch_once(&onceToken, ^{
    [self registerIconFontWithURL:[[NSBundle bundleForClass:[FAKFontAwesomeBrands class]] URLForResource:@"Font Awesome 5 Brands Regular" withExtension:@"otf"]];
    });
    
    UIFont *font = [UIFont fontWithName:@"FontAwesome5BrandsRegular" size:size];
    NSAssert(font, @"UIFont object should not be nil, check if the font file is added to the application bundle and you're using the correct font name.");
    return font;
}

+ (instancetype)pxIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf26e" size:size];
}

+ (instancetype)accessibleIconIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf368" size:size];
}

+ (instancetype)accusoftIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf369" size:size];
}

+ (instancetype)adnIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf170" size:size];
}

+ (instancetype)adversalIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf36a" size:size];
}

+ (instancetype)affiliatethemeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf36b" size:size];
}

+ (instancetype)algoliaIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf36c" size:size];
}

+ (instancetype)amazonIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf270" size:size];
}

+ (instancetype)amazonPayIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf42c" size:size];
}

+ (instancetype)amiliaIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf36d" size:size];
}

+ (instancetype)androidIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf17b" size:size];
}

+ (instancetype)angellistIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf209" size:size];
}

+ (instancetype)angrycreativeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf36e" size:size];
}

+ (instancetype)angularIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf420" size:size];
}

+ (instancetype)appStoreIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf36f" size:size];
}

+ (instancetype)appStoreIosIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf370" size:size];
}

+ (instancetype)apperIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf371" size:size];
}

+ (instancetype)appleIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf179" size:size];
}

+ (instancetype)applePayIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf415" size:size];
}

+ (instancetype)asymmetrikIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf372" size:size];
}

+ (instancetype)audibleIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf373" size:size];
}

+ (instancetype)autoprefixerIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf41c" size:size];
}

+ (instancetype)avianexIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf374" size:size];
}

+ (instancetype)aviatoIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf421" size:size];
}

+ (instancetype)awsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf375" size:size];
}

+ (instancetype)bandcampIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2d5" size:size];
}

+ (instancetype)behanceIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1b4" size:size];
}

+ (instancetype)behanceSquareIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1b5" size:size];
}

+ (instancetype)bimobjectIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf378" size:size];
}

+ (instancetype)bitbucketIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf171" size:size];
}

+ (instancetype)bitcoinIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf379" size:size];
}

+ (instancetype)bityIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf37a" size:size];
}

+ (instancetype)blackTieIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf27e" size:size];
}

+ (instancetype)blackberryIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf37b" size:size];
}

+ (instancetype)bloggerIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf37c" size:size];
}

+ (instancetype)bloggerBIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf37d" size:size];
}

+ (instancetype)bluetoothIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf293" size:size];
}

+ (instancetype)bluetoothBIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf294" size:size];
}

+ (instancetype)btcIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf15a" size:size];
}

+ (instancetype)buromobelexperteIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf37f" size:size];
}

+ (instancetype)buyselladsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf20d" size:size];
}

+ (instancetype)ccAmazonPayIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf42d" size:size];
}

+ (instancetype)ccAmexIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1f3" size:size];
}

+ (instancetype)ccApplePayIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf416" size:size];
}

+ (instancetype)ccDinersClubIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf24c" size:size];
}

+ (instancetype)ccDiscoverIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1f2" size:size];
}

+ (instancetype)ccJcbIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf24b" size:size];
}

+ (instancetype)ccMastercardIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1f1" size:size];
}

+ (instancetype)ccPaypalIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1f4" size:size];
}

+ (instancetype)ccStripeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1f5" size:size];
}

+ (instancetype)ccVisaIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1f0" size:size];
}

+ (instancetype)centercodeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf380" size:size];
}

+ (instancetype)chromeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf268" size:size];
}

+ (instancetype)cloudscaleIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf383" size:size];
}

+ (instancetype)cloudsmithIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf384" size:size];
}

+ (instancetype)cloudversifyIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf385" size:size];
}

+ (instancetype)codepenIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1cb" size:size];
}

+ (instancetype)codiepieIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf284" size:size];
}

+ (instancetype)connectdevelopIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf20e" size:size];
}

+ (instancetype)contaoIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf26d" size:size];
}

+ (instancetype)cpanelIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf388" size:size];
}

+ (instancetype)creativeCommonsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf25e" size:size];
}

+ (instancetype)creativeCommonsByIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4e7" size:size];
}

+ (instancetype)creativeCommonsNcIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4e8" size:size];
}

+ (instancetype)creativeCommonsNcEuIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4e9" size:size];
}

+ (instancetype)creativeCommonsNcJpIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4ea" size:size];
}

+ (instancetype)creativeCommonsNdIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4eb" size:size];
}

+ (instancetype)creativeCommonsPdIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4ec" size:size];
}

+ (instancetype)creativeCommonsPdAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4ed" size:size];
}

+ (instancetype)creativeCommonsRemixIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4ee" size:size];
}

+ (instancetype)creativeCommonsSaIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4ef" size:size];
}

+ (instancetype)creativeCommonsSamplingIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4f0" size:size];
}

+ (instancetype)creativeCommonsSamplingPlusIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4f1" size:size];
}

+ (instancetype)creativeCommonsShareIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4f2" size:size];
}

+ (instancetype)css3IconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf13c" size:size];
}

+ (instancetype)css3AltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf38b" size:size];
}

+ (instancetype)cuttlefishIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf38c" size:size];
}

+ (instancetype)dAndDIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf38d" size:size];
}

+ (instancetype)dashcubeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf210" size:size];
}

+ (instancetype)deliciousIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1a5" size:size];
}

+ (instancetype)deploydogIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf38e" size:size];
}

+ (instancetype)deskproIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf38f" size:size];
}

+ (instancetype)deviantartIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1bd" size:size];
}

+ (instancetype)diggIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1a6" size:size];
}

+ (instancetype)digitalOceanIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf391" size:size];
}

+ (instancetype)discordIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf392" size:size];
}

+ (instancetype)discourseIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf393" size:size];
}

+ (instancetype)dochubIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf394" size:size];
}

+ (instancetype)dockerIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf395" size:size];
}

+ (instancetype)draft2digitalIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf396" size:size];
}

+ (instancetype)dribbbleIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf17d" size:size];
}

+ (instancetype)dribbbleSquareIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf397" size:size];
}

+ (instancetype)dropboxIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf16b" size:size];
}

+ (instancetype)drupalIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1a9" size:size];
}

+ (instancetype)dyalogIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf399" size:size];
}

+ (instancetype)earlybirdsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf39a" size:size];
}

+ (instancetype)ebayIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4f4" size:size];
}

+ (instancetype)edgeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf282" size:size];
}

+ (instancetype)elementorIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf430" size:size];
}

+ (instancetype)elloIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5f1" size:size];
}

+ (instancetype)emberIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf423" size:size];
}

+ (instancetype)empireIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1d1" size:size];
}

+ (instancetype)enviraIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf299" size:size];
}

+ (instancetype)erlangIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf39d" size:size];
}

+ (instancetype)ethereumIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf42e" size:size];
}

+ (instancetype)etsyIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2d7" size:size];
}

+ (instancetype)expeditedsslIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf23e" size:size];
}

+ (instancetype)facebookIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf09a" size:size];
}

+ (instancetype)facebookFIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf39e" size:size];
}

+ (instancetype)facebookMessengerIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf39f" size:size];
}

+ (instancetype)facebookSquareIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf082" size:size];
}

+ (instancetype)firefoxIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf269" size:size];
}

+ (instancetype)firstOrderIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2b0" size:size];
}

+ (instancetype)firstOrderAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf50a" size:size];
}

+ (instancetype)firstdraftIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3a1" size:size];
}

+ (instancetype)flickrIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf16e" size:size];
}

+ (instancetype)flipboardIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf44d" size:size];
}

+ (instancetype)flyIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf417" size:size];
}

+ (instancetype)fontAwesomeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2b4" size:size];
}

+ (instancetype)fontAwesomeAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf35c" size:size];
}

+ (instancetype)fontAwesomeFlagIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf425" size:size];
}

+ (instancetype)fontAwesomeLogoFullIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4e6" size:size];
}

+ (instancetype)fonticonsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf280" size:size];
}

+ (instancetype)fonticonsFiIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3a2" size:size];
}

+ (instancetype)fortAwesomeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf286" size:size];
}

+ (instancetype)fortAwesomeAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3a3" size:size];
}

+ (instancetype)forumbeeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf211" size:size];
}

+ (instancetype)foursquareIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf180" size:size];
}

+ (instancetype)freeCodeCampIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2c5" size:size];
}

+ (instancetype)freebsdIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3a4" size:size];
}

+ (instancetype)fulcrumIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf50b" size:size];
}

+ (instancetype)galacticRepublicIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf50c" size:size];
}

+ (instancetype)galacticSenateIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf50d" size:size];
}

+ (instancetype)getPocketIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf265" size:size];
}

+ (instancetype)ggIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf260" size:size];
}

+ (instancetype)ggCircleIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf261" size:size];
}

+ (instancetype)gitIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1d3" size:size];
}

+ (instancetype)gitSquareIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1d2" size:size];
}

+ (instancetype)githubIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf09b" size:size];
}

+ (instancetype)githubAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf113" size:size];
}

+ (instancetype)githubSquareIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf092" size:size];
}

+ (instancetype)gitkrakenIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3a6" size:size];
}

+ (instancetype)gitlabIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf296" size:size];
}

+ (instancetype)gitterIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf426" size:size];
}

+ (instancetype)glideIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2a5" size:size];
}

+ (instancetype)glideGIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2a6" size:size];
}

+ (instancetype)goforeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3a7" size:size];
}

+ (instancetype)goodreadsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3a8" size:size];
}

+ (instancetype)goodreadsGIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3a9" size:size];
}

+ (instancetype)googleIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1a0" size:size];
}

+ (instancetype)googleDriveIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3aa" size:size];
}

+ (instancetype)googlePlayIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3ab" size:size];
}

+ (instancetype)googlePlusIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2b3" size:size];
}

+ (instancetype)googlePlusGIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0d5" size:size];
}

+ (instancetype)googlePlusSquareIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0d4" size:size];
}

+ (instancetype)googleWalletIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1ee" size:size];
}

+ (instancetype)gratipayIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf184" size:size];
}

+ (instancetype)gravIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2d6" size:size];
}

+ (instancetype)gripfireIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3ac" size:size];
}

+ (instancetype)gruntIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3ad" size:size];
}

+ (instancetype)gulpIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3ae" size:size];
}

+ (instancetype)hackerNewsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1d4" size:size];
}

+ (instancetype)hackerNewsSquareIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3af" size:size];
}

+ (instancetype)hackerrankIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5f7" size:size];
}

+ (instancetype)hipsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf452" size:size];
}

+ (instancetype)hireAHelperIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3b0" size:size];
}

+ (instancetype)hooliIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf427" size:size];
}

+ (instancetype)hornbillIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf592" size:size];
}

+ (instancetype)hotjarIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3b1" size:size];
}

+ (instancetype)houzzIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf27c" size:size];
}

+ (instancetype)html5IconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf13b" size:size];
}

+ (instancetype)hubspotIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3b2" size:size];
}

+ (instancetype)imdbIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2d8" size:size];
}

+ (instancetype)instagramIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf16d" size:size];
}

+ (instancetype)internetExplorerIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf26b" size:size];
}

+ (instancetype)ioxhostIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf208" size:size];
}

+ (instancetype)itunesIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3b4" size:size];
}

+ (instancetype)itunesNoteIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3b5" size:size];
}

+ (instancetype)javaIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4e4" size:size];
}

+ (instancetype)jediOrderIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf50e" size:size];
}

+ (instancetype)jenkinsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3b6" size:size];
}

+ (instancetype)jogetIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3b7" size:size];
}

+ (instancetype)joomlaIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1aa" size:size];
}

+ (instancetype)jsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3b8" size:size];
}

+ (instancetype)jsSquareIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3b9" size:size];
}

+ (instancetype)jsfiddleIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1cc" size:size];
}

+ (instancetype)kaggleIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5fa" size:size];
}

+ (instancetype)keybaseIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4f5" size:size];
}

+ (instancetype)keycdnIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3ba" size:size];
}

+ (instancetype)kickstarterIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3bb" size:size];
}

+ (instancetype)kickstarterKIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3bc" size:size];
}

+ (instancetype)korvueIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf42f" size:size];
}

+ (instancetype)laravelIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3bd" size:size];
}

+ (instancetype)lastfmIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf202" size:size];
}

+ (instancetype)lastfmSquareIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf203" size:size];
}

+ (instancetype)leanpubIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf212" size:size];
}

+ (instancetype)lessIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf41d" size:size];
}

+ (instancetype)lineIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3c0" size:size];
}

+ (instancetype)linkedinIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf08c" size:size];
}

+ (instancetype)linkedinInIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0e1" size:size];
}

+ (instancetype)linodeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2b8" size:size];
}

+ (instancetype)linuxIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf17c" size:size];
}

+ (instancetype)lyftIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3c3" size:size];
}

+ (instancetype)magentoIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3c4" size:size];
}

+ (instancetype)mailchimpIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf59e" size:size];
}

+ (instancetype)mandalorianIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf50f" size:size];
}

+ (instancetype)markdownIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf60f" size:size];
}

+ (instancetype)mastodonIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4f6" size:size];
}

+ (instancetype)maxcdnIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf136" size:size];
}

+ (instancetype)medappsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3c6" size:size];
}

+ (instancetype)mediumIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf23a" size:size];
}

+ (instancetype)mediumMIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3c7" size:size];
}

+ (instancetype)medrtIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3c8" size:size];
}

+ (instancetype)meetupIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2e0" size:size];
}

+ (instancetype)megaportIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5a3" size:size];
}

+ (instancetype)microsoftIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3ca" size:size];
}

+ (instancetype)mixIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3cb" size:size];
}

+ (instancetype)mixcloudIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf289" size:size];
}

+ (instancetype)mizuniIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3cc" size:size];
}

+ (instancetype)modxIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf285" size:size];
}

+ (instancetype)moneroIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3d0" size:size];
}

+ (instancetype)napsterIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3d2" size:size];
}

+ (instancetype)neosIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf612" size:size];
}

+ (instancetype)nimblrIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5a8" size:size];
}

+ (instancetype)nintendoSwitchIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf418" size:size];
}

+ (instancetype)nodeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf419" size:size];
}

+ (instancetype)nodeJsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3d3" size:size];
}

+ (instancetype)npmIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3d4" size:size];
}

+ (instancetype)ns8IconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3d5" size:size];
}

+ (instancetype)nutritionixIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3d6" size:size];
}

+ (instancetype)odnoklassnikiIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf263" size:size];
}

+ (instancetype)odnoklassnikiSquareIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf264" size:size];
}

+ (instancetype)oldRepublicIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf510" size:size];
}

+ (instancetype)opencartIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf23d" size:size];
}

+ (instancetype)openidIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf19b" size:size];
}

+ (instancetype)operaIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf26a" size:size];
}

+ (instancetype)optinMonsterIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf23c" size:size];
}

+ (instancetype)osiIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf41a" size:size];
}

+ (instancetype)page4IconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3d7" size:size];
}

+ (instancetype)pagelinesIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf18c" size:size];
}

+ (instancetype)palfedIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3d8" size:size];
}

+ (instancetype)patreonIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3d9" size:size];
}

+ (instancetype)paypalIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1ed" size:size];
}

+ (instancetype)periscopeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3da" size:size];
}

+ (instancetype)phabricatorIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3db" size:size];
}

+ (instancetype)phoenixFrameworkIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3dc" size:size];
}

+ (instancetype)phoenixSquadronIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf511" size:size];
}

+ (instancetype)phpIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf457" size:size];
}

+ (instancetype)piedPiperIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2ae" size:size];
}

+ (instancetype)piedPiperAltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1a8" size:size];
}

+ (instancetype)piedPiperHatIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4e5" size:size];
}

+ (instancetype)piedPiperPpIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1a7" size:size];
}

+ (instancetype)pinterestIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0d2" size:size];
}

+ (instancetype)pinterestPIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf231" size:size];
}

+ (instancetype)pinterestSquareIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf0d3" size:size];
}

+ (instancetype)playstationIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3df" size:size];
}

+ (instancetype)productHuntIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf288" size:size];
}

+ (instancetype)pushedIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3e1" size:size];
}

+ (instancetype)pythonIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3e2" size:size];
}

+ (instancetype)qqIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1d6" size:size];
}

+ (instancetype)quinscapeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf459" size:size];
}

+ (instancetype)quoraIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2c4" size:size];
}

+ (instancetype)rProjectIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4f7" size:size];
}

+ (instancetype)ravelryIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2d9" size:size];
}

+ (instancetype)reactIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf41b" size:size];
}

+ (instancetype)readmeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4d5" size:size];
}

+ (instancetype)rebelIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1d0" size:size];
}

+ (instancetype)redRiverIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3e3" size:size];
}

+ (instancetype)redditIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1a1" size:size];
}

+ (instancetype)redditAlienIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf281" size:size];
}

+ (instancetype)redditSquareIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1a2" size:size];
}

+ (instancetype)rendactIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3e4" size:size];
}

+ (instancetype)renrenIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf18b" size:size];
}

+ (instancetype)replydIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3e6" size:size];
}

+ (instancetype)researchgateIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4f8" size:size];
}

+ (instancetype)resolvingIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3e7" size:size];
}

+ (instancetype)revIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5b2" size:size];
}

+ (instancetype)rocketchatIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3e8" size:size];
}

+ (instancetype)rockrmsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3e9" size:size];
}

+ (instancetype)safariIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf267" size:size];
}

+ (instancetype)sassIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf41e" size:size];
}

+ (instancetype)schlixIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3ea" size:size];
}

+ (instancetype)scribdIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf28a" size:size];
}

+ (instancetype)searchenginIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3eb" size:size];
}

+ (instancetype)sellcastIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2da" size:size];
}

+ (instancetype)sellsyIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf213" size:size];
}

+ (instancetype)servicestackIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3ec" size:size];
}

+ (instancetype)shirtsinbulkIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf214" size:size];
}

+ (instancetype)shopwareIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5b5" size:size];
}

+ (instancetype)simplybuiltIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf215" size:size];
}

+ (instancetype)sistrixIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3ee" size:size];
}

+ (instancetype)sithIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf512" size:size];
}

+ (instancetype)skyatlasIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf216" size:size];
}

+ (instancetype)skypeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf17e" size:size];
}

+ (instancetype)slackIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf198" size:size];
}

+ (instancetype)slackHashIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3ef" size:size];
}

+ (instancetype)slideshareIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1e7" size:size];
}

+ (instancetype)snapchatIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2ab" size:size];
}

+ (instancetype)snapchatGhostIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2ac" size:size];
}

+ (instancetype)snapchatSquareIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2ad" size:size];
}

+ (instancetype)soundcloudIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1be" size:size];
}

+ (instancetype)speakapIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3f3" size:size];
}

+ (instancetype)spotifyIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1bc" size:size];
}

+ (instancetype)squarespaceIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5be" size:size];
}

+ (instancetype)stackExchangeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf18d" size:size];
}

+ (instancetype)stackOverflowIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf16c" size:size];
}

+ (instancetype)staylinkedIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3f5" size:size];
}

+ (instancetype)steamIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1b6" size:size];
}

+ (instancetype)steamSquareIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1b7" size:size];
}

+ (instancetype)steamSymbolIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3f6" size:size];
}

+ (instancetype)stickerMuleIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3f7" size:size];
}

+ (instancetype)stravaIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf428" size:size];
}

+ (instancetype)stripeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf429" size:size];
}

+ (instancetype)stripeSIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf42a" size:size];
}

+ (instancetype)studiovinariIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3f8" size:size];
}

+ (instancetype)stumbleuponIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1a4" size:size];
}

+ (instancetype)stumbleuponCircleIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1a3" size:size];
}

+ (instancetype)superpowersIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2dd" size:size];
}

+ (instancetype)suppleIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3f9" size:size];
}

+ (instancetype)teamspeakIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf4f9" size:size];
}

+ (instancetype)telegramIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2c6" size:size];
}

+ (instancetype)telegramPlaneIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf3fe" size:size];
}

+ (instancetype)tencentWeiboIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1d5" size:size];
}

+ (instancetype)themecoIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5c6" size:size];
}

+ (instancetype)themeisleIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2b2" size:size];
}

+ (instancetype)tradeFederationIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf513" size:size];
}

+ (instancetype)trelloIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf181" size:size];
}

+ (instancetype)tripadvisorIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf262" size:size];
}

+ (instancetype)tumblrIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf173" size:size];
}

+ (instancetype)tumblrSquareIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf174" size:size];
}

+ (instancetype)twitchIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1e8" size:size];
}

+ (instancetype)twitterIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf099" size:size];
}

+ (instancetype)twitterSquareIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf081" size:size];
}

+ (instancetype)typo3IconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf42b" size:size];
}

+ (instancetype)uberIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf402" size:size];
}

+ (instancetype)uikitIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf403" size:size];
}

+ (instancetype)uniregistryIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf404" size:size];
}

+ (instancetype)untappdIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf405" size:size];
}

+ (instancetype)usbIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf287" size:size];
}

+ (instancetype)ussunnahIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf407" size:size];
}

+ (instancetype)vaadinIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf408" size:size];
}

+ (instancetype)viacoinIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf237" size:size];
}

+ (instancetype)viadeoIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2a9" size:size];
}

+ (instancetype)viadeoSquareIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2aa" size:size];
}

+ (instancetype)viberIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf409" size:size];
}

+ (instancetype)vimeoIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf40a" size:size];
}

+ (instancetype)vimeoSquareIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf194" size:size];
}

+ (instancetype)vimeoVIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf27d" size:size];
}

+ (instancetype)vineIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1ca" size:size];
}

+ (instancetype)vkIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf189" size:size];
}

+ (instancetype)vnvIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf40b" size:size];
}

+ (instancetype)vuejsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf41f" size:size];
}

+ (instancetype)weeblyIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5cc" size:size];
}

+ (instancetype)weiboIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf18a" size:size];
}

+ (instancetype)weixinIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1d7" size:size];
}

+ (instancetype)whatsappIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf232" size:size];
}

+ (instancetype)whatsappSquareIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf40c" size:size];
}

+ (instancetype)whmcsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf40d" size:size];
}

+ (instancetype)wikipediaWIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf266" size:size];
}

+ (instancetype)windowsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf17a" size:size];
}

+ (instancetype)wixIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf5cf" size:size];
}

+ (instancetype)wolfPackBattalionIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf514" size:size];
}

+ (instancetype)wordpressIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf19a" size:size];
}

+ (instancetype)wordpressSimpleIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf411" size:size];
}

+ (instancetype)wpbeginnerIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf297" size:size];
}

+ (instancetype)wpexplorerIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2de" size:size];
}

+ (instancetype)wpformsIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf298" size:size];
}

+ (instancetype)xboxIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf412" size:size];
}

+ (instancetype)xingIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf168" size:size];
}

+ (instancetype)xingSquareIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf169" size:size];
}

+ (instancetype)yCombinatorIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf23b" size:size];
}

+ (instancetype)yahooIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf19e" size:size];
}

+ (instancetype)yandexIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf413" size:size];
}

+ (instancetype)yandexInternationalIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf414" size:size];
}

+ (instancetype)yelpIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf1e9" size:size];
}

+ (instancetype)yoastIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf2b1" size:size];
}

+ (instancetype)youtubeIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf167" size:size];
}

+ (instancetype)youtubeSquareIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf431" size:size];
}

+ (instancetype)zhihuIconWithSize:(CGFloat)size {
    return [self iconWithCode:@"\uf63f" size:size];
}

@end
